Show / Hide Table of Contents

# Struct hkQuaternionf

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkQuaternionf

### Fields

| Improve this Doc View Source

#### W

##### Declaration

    public float W

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### X

##### Declaration

    public float X

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Y

##### Declaration

    public float Y

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Z

##### Declaration

    public float Z

##### Field Value

Type | Description
--- | ---
System.Single |

### Methods

| Improve this Doc View Source

#### getAngleSr()

##### Declaration

    public hkSimdFloat32 getAngleSr()

##### Returns

Type | Description
--- | ---
hkSimdFloat32 |

| Improve this Doc View Source

#### isOk(Single)

##### Declaration

    public byte isOk(float epsilon)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | epsilon |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### setAxisAngle1(hkVector4f*, Single)

##### Declaration

    public void setAxisAngle1(hkVector4f*axis, float angle)

##### Parameters

Type | Name | Description
--- | --- | ---
hkVector4f* | axis |
System.Single | angle |

| Improve this Doc View Source

#### setAxisAngle2(hkVector4f*, hkSimdFloat32)

##### Declaration

    public void setAxisAngle2(hkVector4f*axis, hkSimdFloat32 angle)

##### Parameters

Type | Name | Description
--- | --- | ---
hkVector4f* | axis |
hkSimdFloat32 | angle |

| Improve this Doc View Source

#### setFromEulerAngles1(Single, Single, Single)

##### Declaration

    public void setFromEulerAngles1(float roll, float pitch, float yaw)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | roll |
System.Single | pitch |
System.Single | yaw |

| Improve this Doc View Source

#### setFromEulerAngles2(hkSimdFloat32*, hkSimdFloat32*, hkSimdFloat32*)

##### Declaration

    public void setFromEulerAngles2(hkSimdFloat32*roll, hkSimdFloat32*pitch, hkSimdFloat32*yaw)

##### Parameters

Type | Name | Description
--- | --- | ---
hkSimdFloat32* | roll |
hkSimdFloat32* | pitch |
hkSimdFloat32* | yaw |

| Improve this Doc View Source

#### setSlerp(hkQuaternionf*, hkQuaternionf*, hkSimdFloat32*)

##### Declaration

    public void setSlerp(hkQuaternionf*q0, hkQuaternionf*q1, hkSimdFloat32*t)

##### Parameters

Type | Name | Description
--- | --- | ---
hkQuaternionf* | q0 |
hkQuaternionf* | q1 |
hkSimdFloat32* | t |